var NCOWebtopForm = null; // gets set in init
var NCOWebtopFormName = "userProfile";


var NCOWebtopWindowParams = "location=no,status=no,height=400,width=300,scrollbar=yes";
var NCOWebtopOpenFieldsWindowURL = null;

var NCOWebtopNameMessage = "Please provide a name for this tool";
var NCOWebtopACLsMessage = "No users will be able to use this tool as you have not provided any \nAccess Control Lists for this tool, would you like to add ACLs to this tool?";
var NCOWebtopURLMessage = "Please provide a URL for this tool";

//******************************************************************************************
function NCOWebtopInit()
{
	NCOWebtopForm = document.forms[ "userProfile" ];
	NCOWebtopURLBase = document.location;
	NCOWebtopOpenAclsWindowURL = "/Admin/Dialogs/ACLDialog/?type=0";
}

//******************************************************************************************
function NCOWebtopUpdateTarget( source , destination )
{
	if ( NCOWebtopForm.elements[ source ].options.selectedIndex == 0 )
	{
		NCOWebtopForm.elements[ destination ].disabled = true;
	}
	else
	{
		NCOWebtopForm.elements[ destination ].disabled = false;
	}
}

//******************************************************************************************
function NCOWebtopShowAclsDialog()
{
	window.open( NCOWebtopOpenAclsWindowURL , "aclSelectFields" , NCOWebtopWindowParams );
}

//******************************************************************************************
function NCOWebtopUpdateFields( fieldsArray )
{
	var size = fieldsArray.length;
	var newString = "";
	var i = 0;
	if ( size == 0 )
	{
		NCOWebtopForm.elements[ "fields" ].value = "";
		return;
	}
	else if ( size > 1 )
	{
		for ( i =0 ; i < ( size - 1 ); i++ )
		{
			newString += ( fieldsArray[ i ] + "," );
		}
	}
	newString += ( fieldsArray[ size - 1 ] );
	NCOWebtopForm.elements[ "fields" ].value = newString;
}
document.NCOWebtopUpdateFields = NCOWebtopUpdateFields;

//******************************************************************************************
function NCOWebtopDecodeArray( baseArray )
{
	var i = 0;
	var size = baseArray.length;
	for ( i = 0 ; i < size ; i++ )
	{
		//baseArray[ i ] = unescape( baseArray[ i ] );
		baseArray[ i ] = baseArray[ i ];
	}
	return baseArray;
}

//******************************************************************************************
function NCOWebtopGetAclsArray()
{
	if ( NCOWebtopForm.elements[ "acls" ].value == "" )
	{
		return new Array();
	}
    var aclsString = new String( NCOWebtopForm.elements[ "acls" ].value );
	var aclsBaseArray = aclsString.split( "," );
    return NCOWebtopDecodeArray( aclsBaseArray );      	
}
document.NCOWebtopGetAclsArray = NCOWebtopGetAclsArray;

//******************************************************************************************
function NCOWebtopDoOK()
{
	if ( NCOWebtopValidate() )
	{
		NCOWebtopForm.submit();
	}
}

//******************************************************************************************
function NCOWebtopDoCancel()
{
	window.close();
}


//******************************************************************************************
function NCOWebtopValidate()
{
	if ( NCOWebtopIsSQLTool() )
	{
		if ( !NCOWebtopHasName() )
		{
			alert( NCOWebtopNameMessage );
			return false;
		}
		if ( !NCOWebtopHasAcls() )
		{
			if ( confirm( NCOWebtopACLsMessage ) )
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		return true;
	}
	else
	{
		if ( !NCOWebtopHasName() )
		{
			alert( NCOWebtopNameMessage );
			return false;
		}
		else if ( !NCOWebtopHasURL() )
		{
			alert( NCOWebtopURLMessage );
			return false;	
		}
		if ( !NCOWebtopHasAcls() )
		{
			if ( confirm( NCOWebtopACLsMessage ) )
			{
				return false;
			}
			else
			{
				return true;
			}
		}
		return true;
	}
}

//******************************************************************************************
function NCOWebtopIsSQLTool()
{
	return NCOWebtopForm.elements[ "tooltype" ].value == "SQL";
}

//******************************************************************************************
function NCOWebtopHasName()
{
	return ( !( NCOWebtopForm.elements[ "toolname" ].value == "" ) )
}

//******************************************************************************************
function NCOWebtopHasAcls()
{
	return ( !( NCOWebtopForm.elements[ "acls" ].value == "" ) )	
}

//******************************************************************************************
function NCOWebtopHasURL()
{
	return ( !( NCOWebtopForm.elements[ "url" ].value == "" ) )	
}
