/******************************************************************************************
 *
 */
function updateMetricDropDown()
{
	var metricTable = document.getElementById( "metrictable" );
	var tds = metricTable.getElementsByTagName( "td" );
	var currentDropDowns = tds[ tds.length - 1].getElementsByTagName( "select" );
	
	var newDropDown = createNewMetricDropDown();

	tds[ tds.length - 1].replaceChild( newDropDown , currentDropDowns[ currentDropDowns.length - 1 ] );	

}

/******************************************************************************************
 *
 */
function createNewMetricDropDown()
{
	var selectElement =  document.createElement( "select" );
	selectElement.setAttribute( "name" , "metricof" );
	var metricFields = getMetricFields(  getCurrentObjectServer() );
	var optionElement = null;

	for ( var i = 0 ; i < metricFields.length ; i++ )
	{
		optionElement = document.createElement( "option" );
		optionElement.text = metricFields[ i ];
		optionElement.value = metricFields[ i ];
		try {
			selectElement.add(optionElement );
		}catch(error) {//netscape version
			selectElement.add(optionElement, null );
		}
	}
	return selectElement;
}

