<%@ page language="java" contentType="text/javascript" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="ncw-utils" uri="/WEB-INF/tld/ncw-utils.tld" %>


/******************************************************************************************
 *
 */
function handleKeyPressNS( evnt )
{

}

/******************************************************************************************
 *
 */
function getDeleteRow( eventSourceElement )
{
	<ncw-utils:brcon browser="ie">
	return eventSourceElement.parentElement.parentElement;
	</ncw-utils:brcon>

	<ncw-utils:brcon browser="ns">
	return eventSourceElement.parentNode.parentNode;
	</ncw-utils:brcon>
//  return eventSourceElement.parentElement.parentElement;
}

/******************************************************************************************
 *
 */
function getTableSize()
{
	var baseTable = document.getElementById( "basicfiltertable" );
	var tRows =  baseTable.getElementsByTagName( "TR" );
	return tRows.length;
}

/******************************************************************************************
 *
 */
function getTableRow( index )
{
	var baseTable = document.getElementById( "basicfiltertable" );
	var tRows =  baseTable.getElementsByTagName( "TR" );
	return tRows[ index ];
}

/******************************************************************************************
 *
 */
function getRowIndex( eventSourceElement )
{
	var child = getBaseTableRow( eventSourceElement )	
	var parentTable =  document.getElementById( "basicfiltertable" );
	var children = parentTable.getElementsByTagName( "tr" );
	var index = 0 ;
	for ( var i = 0 ; i < children.length ; i++ )
	{
		if ( children[ i ] == child )
		{
			index = i;
		}
	}		
	return index;
}


/******************************************************************************************
 *
 */
function getBaseTableRow( eventSourceElement )
{
	if ( eventSourceElement == null )
	{
		return null;
	}


	<ncw-utils:brcon browser="ie">
	return eventSourceElement.parentElement.parentElement;
	</ncw-utils:brcon>

	<ncw-utils:brcon browser="ns">
	return eventSourceElement.parentNode.parentNode;
	</ncw-utils:brcon>

}

/******************************************************************************************
 *
 */
function removePageElement( parent , child )
{
	<ncw-utils:brcon browser="ie">
		child.removeNode( true );
	</ncw-utils:brcon>

	<ncw-utils:brcon browser="ns">

		var children = parent.getElementsByTagName( "tr" );
		var index = 0 ;
		for ( var i = 0 ; i < children.length ; i++ )
		{
			if ( children[ i ] == child )
			{
				index = i;
			}
		}	
		parent.deleteRow( index );
	</ncw-utils:brcon>	
}

/******************************************************************************************
 *
 */
function cancelEvent( evnt )
{

	<ncw-utils:brcon browser="ns">	
/*		evnt.stopPropagation();
		evnt.preventDefault();
*/
	</ncw-utils:brcon>	
}

/******************************************************************************************
 *
 */
function getEventSource( evnt )
{

	<ncw-utils:brcon browser="ie">
	return event.srcElement
	</ncw-utils:brcon>

	<ncw-utils:brcon browser="ns">
	return evnt.currentTarget;
	</ncw-utils:brcon>

}

/******************************************************************************************
 *
 */
function removeLastRowHandler()
{
	var baseTable = document.getElementById( "basicfiltertable" );
   	if(baseTable == null) return;

	var tRows =  baseTable.getElementsByTagName( "TR" );
	var tRow = tRows[ tRows.length - 1 ];
	var input = tRow.getElementsByTagName( "input" )[ 0 ];

	<ncw-utils:brcon browser="ie">
	input.detachEvent( "onkeypress" , handleKeyPress );
	</ncw-utils:brcon>

	<ncw-utils:brcon browser="ns">
	input.removeEventListener( "keypress" , handleKeyPressNS , false );
	</ncw-utils:brcon>
	
//	input.detachEvent( "onblur" , handleOnBlur );
}


/******************************************************************************************
 *
 */
function createComparatorElementSelect(type)
{

	var dropDown = document.createElement( "select" );
	dropDown.className = "NCWTDropDownBasic";
	dropDown.setAttribute( "name" , "comparator" );
	var dropDownOptions = getDropDownComparatorOptions(type);
	for ( var i = 0 ; i < dropDownOptions.length ; i++ )
	{
		<ncw-utils:brcon browser="ie">
		dropDown.add( dropDownOptions[ i ] );
		</ncw-utils:brcon>

		<ncw-utils:brcon browser="ns">
		dropDown.add( dropDownOptions[ i ] , null );
		</ncw-utils:brcon>

	}

	return dropDown
}

/******************************************************************************************
 *
 */
function createBasicValueElement() 
{
	var tCell = document.createElement( "TD" );
	tCell.className = "TBLheader";
	tCell.style.width = "39%";
	var inputCell = document.createElement( "input" );
	inputCell.setAttribute( "type" , "text" );
	inputCell.setAttribute( "name" , "value" );
	inputCell.className = "NCWTDropInput";

	<ncw-utils:brcon browser="ie">
	inputCell.attachEvent( "onkeypress" , handleKeyPress );
	</ncw-utils:brcon>

	<ncw-utils:brcon browser="ns">
	inputCell.addEventListener( "keypress" , handleKeyPressNS , false );
	</ncw-utils:brcon>
//	inputCell.attachEvent( "onblur" , handleOnBlur );
	tCell.appendChild( inputCell );
	return tCell;
}

/******************************************************************************************
 *
 */

function createFieldElementSelect()
{

	var dropDown = document.createElement( "select" );
	dropDown.className = "NCWTDropDownBasic";
	dropDown.setAttribute( "name" , "field" );

	<ncw-utils:brcon browser="ie">
  	dropDown.attachEvent( "onchange" , updateComparatorValue);
  	</ncw-utils:brcon>

  	<ncw-utils:brcon browser="ns">
  	dropDown.setAttribute( "onchange" , "return false;" );
  	dropDown.addEventListener( "change", updateComparatorValue, false);
  	</ncw-utils:brcon>

	var dropDownOptions = getDropDownFieldOptions();
	
	for ( var i = 0 ; i < dropDownOptions.length ; i++ )
	{
		<ncw-utils:brcon browser="ie">
		dropDown.add( dropDownOptions[ i ] );
		</ncw-utils:brcon>

		<ncw-utils:brcon browser="ns">
		dropDown.add( dropDownOptions[ i ] , null );
		</ncw-utils:brcon>
	}

	
	return dropDown;
}

/******************************************************************************************
 *
 */
function createDeleteButton()
{

  var deleteButton = document.createElement( "button" );
  var deleteImage = document.createElement( "img" );
  deleteButton.className = "WTtoolbarButton";
  deleteButton.style.height = "24";
  deleteButton.style.width = "24";
  //deleteButton.disabled = "true";
  deleteImage.src = "images/button_delete_disabled.png";  

  <ncw-utils:brcon browser="ie">
  deleteButton.attachEvent( "onclick" , deleteBasicRow);
  </ncw-utils:brcon>

  <ncw-utils:brcon browser="ns">
  deleteButton.setAttribute( "onclick" , "return false;" );
  deleteButton.addEventListener( "click", deleteBasicRow, false);
  </ncw-utils:brcon>
  deleteButton.appendChild( deleteImage );

  return deleteButton;
}

/******************************************************************************************
 *
 */
function setNewRowActive()
{
	var baseTable = document.getElementById( "basicfiltertable" );
        if(baseTable == null) return;

	var tRows =  baseTable.getElementsByTagName( "TR" );
	var tRow = tRows[ tRows.length - 1 ];
	var select = tRow.getElementsByTagName( "select" )[ 0 ];
//	select.setActive();
//	select.focus();
}

/******************************************************************************************
 *
 */
function createAddConditionButton()
{

  var addcondButton = document.createElement( "button" );
  var addcondImage = document.createElement( "img" );
  addcondButton.className = "WTtoolbarButton";
  addcondButton.style.height = "24";
  addcondButton.style.width = "24";
  addcondImage.src = "images/button_new.png";  

  <ncw-utils:brcon browser="ie">
  addcondButton.attachEvent( "onclick" , addCondition ) ;
  </ncw-utils:brcon>

  <ncw-utils:brcon browser="ns">
  addcondButton.setAttribute( "onclick" , "return false;" );
  addcondButton.addEventListener( "click" , addCondition , false );
  </ncw-utils:brcon>
  addcondButton.appendChild( addcondImage );
  return addcondButton;
}

/******************************************************************************************
 *
 */
function attachKeyPressEventHandler( element )
{
	<ncw-utils:brcon browser="ie">
	element.attachEvent( "onkeypress" , handleKeyPress );	
	</ncw-utils:brcon>
	<ncw-utils:brcon browser="ns">
//	element.addEventListener( "keydown" , handleKeyPressNS , false );
	</ncw-utils:brcon>
}


/******************************************************************************************
 *
 */
function addNewRow( evnt )
{
         var baseTable = document.getElementById( "basicfiltertable" );
         var eventSourceElement = null;
         var currentTableRow = null;

         <ncw-utils:brcon browser="ie">  
         eventSourceElement = event.srcElement;
         </ncw-utils:brcon>

         <ncw-utils:brcon browser="ns">
         if ( evnt != null )
         {
                 eventSourceElement = evnt.currentTarget;
         }
         </ncw-utils:brcon>

         if( baseTable == null )
         { 
                 return;
         }

 //      currentTableRow = getDeleteRow( eventSourceElement );
         
         var tbody = baseTable.getElementsByTagName( "tbody" )[0]
         var newRow = createNewBasicFilterRow();

         if ( eventSourceElement != null && ( ( getRowIndex( eventSourceElement ) + 1 ) < getTableSize() ) )
         {

                 var afterElement = getTableRow( getRowIndex( eventSourceElement ) + 1 );
                 tbody.insertBefore( newRow , afterElement );
         }
         else
         {
                 tbody.appendChild( newRow );
         }

         <ncw-utils:brcon browser="ie">
         newRow.scrollIntoView( false );
         </ncw-utils:brcon>

}

/******************************************************************************************
 *
 */
function attachNSEventHandlers()
{

	var inputElements = null;
	var buttonElements = null;
	var i = 0;
	var inputType = null;

	<ncw-utils:brcon browser="ns">
	holdingTable = document.getElementById( "basicfiltertable" );
	if ( holdingTable != null )
	{
		inputElements = holdingTable.getElementsByTagName( "input" );
		if ( inputElements != null )
		{
			for ( i = 0 ; i < inputElements.length ; i++ )
			{
				inputType = inputElements[ i ].getAttribute( "type" );
				if ( inputType == "text" )
				{
					inputElements[ i ].addEventListener( "keypress" , handleKeyPressNS , false );
				}
			}
		}

		var fieldRow = holdingTable.getElementsByTagName( "TR" );
		for(var r=0; r<fieldRow.length; r++) {
			var fieldCell = (fieldRow[r].getElementsByTagName("TD"))[0];
			var fieldSelection = (fieldCell.getElementsByTagName("select"))[0];
			if(fieldSelection != null) 
				fieldSelection.addEventListener("change" , updateComparatorValue, false);
		}
			
		
		buttonElements = holdingTable.getElementsByTagName( "button" );
		if ( buttonElements != null )
		{

			for ( i = 0 ; i < buttonElements.length; i += 2 )
			{
				buttonElements[ i ].addEventListener( "click" , deleteBasicRow , false );
				buttonElements[ i + 1 ].addEventListener( "click" , addCondition , false );				
			}			
		}

	}


	

	</ncw-utils:brcon>
}

